import os
import shutil
scenedir = input('Input the scene directory:')
stuid = input('Input you student id:')
name = input('Input you name in Pinyin(Zhang San, Wang Xiaoya for example):')
basename = '%s-%s-%s' % (scenedir,stuid,name)
rootdir = 'ann'
if os.path.exists(rootdir):
    shutil.rmtree(rootdir)
os.mkdir(rootdir)
dstrsdir = os.path.join(rootdir,'rs')
os.makedirs(dstrsdir)
dstkndir = os.path.join(rootdir,'kn')
os.makedirs(dstkndir)
rsanndir = os.path.join(scenedir,'data','annotations')
knanndir = os.path.join(scenedir,'data_kinect','annotations')
if not os.path.exists(rsanndir):
    raise ValueError('path not exists:%s' % rsanndir)
if not os.path.exists(knanndir):
    raise ValueError('path not exists:%s' % knanndir)
print('Coping annotions for realsense')
shutil.copytree(rsanndir,os.path.join(dstrsdir,'annotations'))
print('Coping annotions for kinect')
shutil.copytree(knanndir,os.path.join(dstkndir,'annotations'))
print('Creating tar file')
name = shutil.make_archive(basename,'tar',rootdir)
print('Successfully created file:%s' % name)
print('Removing cache files')
shutil.rmtree(rootdir)
print('Done!')
print('Please upload this file to the "upload" directory in ftp://public.sjtu.edu.cn with username:gmh2015, passwd:public')
