#!/usr/bin/env bash

DATASET_ROOT=$1
SCENE_NAME=$2
RESIZE_FACTOR=1

bash dense_reconstruction/run_camera_pose_estimation_in_docker.sh ${SCENE_NAME}

python dense_reconstruction/orb_slam_pose_to_npy.py \
    --dataset-root "$DATASET_ROOT" --scene-name "$SCENE_NAME"

python dense_reconstruction/dense_reconstruction_tsdf.py \
    --dataset-root "$DATASET_ROOT" --scene-name "$SCENE_NAME" \
    --resize-factor "$RESIZE_FACTOR"

python mesh_based_pose_estimation.py \
    --dataset-root "$DATASET_ROOT" --scene-name "$SCENE_NAME"
